IndividualHudFruit = {};
IndividualHudFruit.metadata = {
	interface = " FS17 1.x",
	title = " IndividualHudFruit",
	notes = " setzt neue Huds für Früchte",
	author = " (by HappyLooser)",
	version = " v0.4",	
	datum = " 02.01.2015",
	update = " 10.11.2016",
	web = " no",
	info = " Link Freigabe,Änderungen,Kopien oder Code Benutzung ist ohne meine Zustimmung nicht erlaubt",
	"##Orginal Link Freigabe:"
};

local fruitNames = "Found fruit names: ";
local replaceFill = 0;
local pathFiles;
local path = getUserProfileAppPath();

function IndividualHudFruit:loadMap(name)
	print("---loading".. tostring(IndividualHudFruit.metadata.title).. tostring(IndividualHudFruit.metadata.version).. tostring(IndividualHudFruit.metadata.author).. "---")
	local pathSavegame = path.. "/IndividualHudFiles/savegame".. g_currentMission.missionInfo.savegameIndex.. "/";	
	if not fileExists(path.. "IndividualHudFiles/") then createFolder(path.. "IndividualHudFiles/");end;
	FolderExists(pathSavegame);	
	if pathFiles ~= nil then
		for i=1,FillUtil.NUM_FILLTYPES do
			local desc = FillUtil.fillTypeIndexToDesc[i];
			local name = desc.name;
			fruitNames = fruitNames.. name.. ",";			
			local individualHudFile = getHudFiles(name, false);
			local individualHudFileSmall = getHudFiles(name, true);			
			if individualHudFile ~= nil then
				desc.hudOverlayFilename = individualHudFile;
				replaceFill = replaceFill+1;
				if individualHudFileSmall ~= nil then 
					desc.hudOverlayFilenameSmall = individualHudFileSmall;					
				else					
					desc.hudOverlayFilenameSmall = individualHudFile;
				end;					
				local height = Utils.getNoNil(g_currentMission.fillTypeOverlays[i].height, 0.025000000372529);
				local width = Utils.getNoNil(g_currentMission.fillTypeOverlays[i].width, 0.015625);
				if g_currentMission.fillTypeOverlays[i] then					
					g_currentMission.fillTypeOverlays[i] = nil;
				end;
				g_currentMission:addFillTypeOverlay(i, desc.hudOverlayFilenameSmall, width, height);
				if g_currentMission.individualHudFruit == nil then g_currentMission.individualHudFruit = true;end;
			end;
		end;
		if replaceFill > 0 then
			print("---IndividualHudFruit...replace ".. tostring(replaceFill) .." FillTypes---")
		else
			print("!!! IndividualHudFruit...not found FillType Files !!!")
			print("!!! copy fruit files ---> .../IndividualHudFiles/wheat.dds(wheat_small.dds) etc. etc. !!!")
		end;
		print("---IndividualHudFruit...search map names---")
		print(fruitNames)
	else
		print("!!! IndividualHudFruit...not found Fruit Files !!!")
		print("!!! copy fruit files ---> .../IndividualHudFiles/wheat.dds(wheat_small.dds) etc. etc. !!!")
	end;	
end;

function IndividualHudFruit:deleteMap()	
end;

function IndividualHudFruit:mouseEvent(posX, posY, isDown, isUp, button)
end;

function IndividualHudFruit:keyEvent(unicode, sym, modifier, isDown)	
end;

function IndividualHudFruit:updateTick(dt)
end;

function IndividualHudFruit:update(dt)
end;

function IndividualHudFruit:draw(dt)
end;

function FolderExists(strFolderName)	
	if g_server == nil and g_client ~= nil then
		isClient = true;
	end;
	if fileExists(strFolderName.. "*.dds") then
		pathFiles = strFolderName;
	else		
		local pathHud = path.."/IndividualHudFiles/";
		if fileExists(pathHud.. "*.dds") then
			pathFiles = pathHud;
		end;
	end;	
end;

function getHudFiles(fruitName, small)
	if not small then
		if fileExists(Utils.getFilename(fruitName.. '.dds', pathFiles)) then
			return Utils.getFilename(fruitName.. '.dds', pathFiles)	
		end;
	else
		if fileExists(Utils.getFilename(fruitName.. '_small.dds', pathFiles)) then
			return Utils.getFilename(fruitName.. '_small.dds', pathFiles)	
		end;
	end;
end;
addModEventListener(IndividualHudFruit);

